Who am I
curl --request GET \
--url https://panel.metricanic.com/api/v1/whoami \
--header 'Authorization: Bearer <token>'import requests
url = "https://panel.metricanic.com/api/v1/whoami"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://panel.metricanic.com/api/v1/whoami', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"tenantId": "7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d",
"provider": "api-key",
"scope": "read",
"keyId": "3c4d5e6f-7a8b-4c9d-8e0f-1a2b3c4d5e6f",
"label": "integration-prod"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}Authentication
Who am I
Identifies the caller. Works with both Bearer tokens and panel sessions. The primary connectivity and auth smoke check for integrations. For Bearer callers returns the key id and label the token was issued for.
GET
/
api
/
v1
/
whoami
Who am I
